PESCETTI(1)

NAME
pescetti — Pseudo-Duplimate Generator

SYNOPSIS

pescetti

DESCRIPTION

This manual page documents briefly the pescetti command.

OPTIONS

Here are a list of the available options and what they do. You must specify exactly one from --demo, --generate or --load.

--help
    Prints the help text

--demo
    Demonstration mode. Generates one hand with permutations and the tutorial for how to use them.

--generate=N
    Generate N random boards

--load=boards.txt
    Load boards+analysis from boards.txt

--load-dds=boards.dds
    Load boards from boards.dds in dds format

--load-analysis=tricks.txt
    Load analysis from tricks.txt

--permutations=permutations.txt
    Generate the permutations and save them to the given file

--curtains=curtains.txt
    Save curtain cards to file curtains.txt

--save=boards.txt
    Save the boards+analysis to boards.txt

--save-dds=boards.dds
    Save the boards to boards.dds in dds format

--save-analysis=tricks.txt
    Save the analysis to tricks.txt

--format=html|txt|pdf
    Set the output mode to the given format

--title=title
    Set the title for the output

--output=hands.txt
    Print the hands to hands.txt, rather than to standard output

--stats
    Generate statistics about the set of boards; included in the hands output

--analyze
    Run the dds analyzer on the boards and print the resulting numberof tricks (warning SLOW)

--criteria=''criteria...''
    A list of criteria to apply to each generated hand to generate specific hand types. The list should be space separated and each item may be suffixed with a colon and a (fractional) probability value which can be used to weight the criteria.

    E.g. --criteria="weaknt:0.8 strongnt:0.5"

    Valid criteria are: unbalanced weaknt strongnt twont strongtwo weaktwo three twoclubs 4441 singlesuit twosuits partscore game slam game-invite slam-invite jumpshift jumpfit splinter bacon weird

--probability=factor
    Generate hands matching the criteria with only the given probability. Factor is in the range 0 to 1. On each attempt to generate a board it is rejected if it doesn't match the criteria with the given probability. A factor of about 0.8 gives roughly half matching boards

AUTHOR

This manual page was written by Matthew Johnson <debian@matthew.ath.cx>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 as published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.